Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.middleware.util
Class SubmissionTimesDistribution

    java.lang.Object
      lbg.middleware.util.SubmissionTimesDistribution

All Implemented Interfaces:
  SubmissionTimesGenerator

    public class SubmissionTimesDistribution

extends java.lang.Object
implements SubmissionTimesGenerator

Author:
  Cyril Briquet

Constructor Summary
`SubmissionTimesDistribution(int inter_submission_lo, int inter_submission_hi)` Constructs a new submission times distribution-based generator.

Method Summary
`void` | `skipWaitingBeforeFirstSubmission()`
`java.lang.String` | `summary()`
`java.lang.String` | `toString()`
`void` | `waitBeforeNextSubmission()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SubmissionTimesDistribution

    public SubmissionTimesDistribution(int inter_submission_lo,
                                       int inter_submission_hi)
                                throws GridException

  Constructs a new submission times distribution-based generator.

  Throws:
    `GridException`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### waitBeforeNextSubmission

    public void waitBeforeNextSubmission()
                                  throws GridException

  Specified by:
    `waitBeforeNextSubmission` in interface `SubmissionTimesGenerator`
  Throws:
    `GridException`

### skipWaitingBeforeFirstSubmission

    public void skipWaitingBeforeFirstSubmission()

  Specified by:
    `skipWaitingBeforeFirstSubmission` in interface `SubmissionTimesGenerator`

### summary

    public java.lang.String summary()

  Specified by:
    `summary` in interface `SubmissionTimesGenerator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.